Skip to Content
avatar image
Former Member

Fiori Android apps don't work if it has Viz charts in it

Hi All,

I have an app that uses Viz charts and it runs perfectly on the Fiori Launchpad.

This app was converted to an android app using WebIDEs HAT(Hybrid Application Toolkit) plugin. The build of the android app was successful, but the app doesn't load in the android device, all i see is a blank screen.

This is one of the errors i get while debugging the android app:

Caused by: Error: found in negative cache: 'sap/viz/library.js' from resources/sap/viz/library.js: Error: failed to load 'sap/viz/resources/chart/templates/standard_fiori/template.js' from resources/sap/viz/resources/chart/templates/standard_fiori/template.js:

It looks like the HAT plugin doesn't add the Viz library into the packaged android app it builds.

I've tried mentioning sap.viz in the index.html bootstrap.

I have mentioned sap.viz as dependency in manifest.json.

I have tried to fetch resources from the online location(src="https://sapui5.hana.ondemand.com/resources/sap-ui-core.js").

None of these worked for me.

Any way to solve this?

Thanks,

Vivek

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    avatar image
    Former Member
    Dec 12, 2017 at 07:18 PM

    Tried again by mentioning minversions of the required libraries to solve the issue.

    Add comment
    10|10000 characters needed characters exceeded